AntiFeatures:
  - NonFreeNet
Categories:
  - Internet
License: Apache-2.0
AuthorName: Zulip
AuthorEmail: support@zulip.com
WebSite: https://zulip.com
SourceCode: https://github.com/zulip/zulip-mobile
IssueTracker: https://github.com/zulip/zulip-mobile/issues
Changelog: https://github.com/zulip/zulip-mobile/releases

AutoName: Zulip

RepoType: git
Repo: https://github.com/zulip/zulip-mobile.git

Builds:
  - versionName: '27.189'
    versionCode: 189
    commit: 204d620f29e7a8b695d2fec5af36974ae8abe3c5
    subdir: android/app
    sudo:
      - sysctl fs.inotify.max_user_watches=524288 || true
      - curl -Lo node.tar.xz https://nodejs.org/dist/v16.16.0/node-v16.16.0-linux-x64.tar.xz
      - echo "edcb6e9bb049ae365611aa209fc03c4bfc7e0295dbcc5b2f1e710ac70384a8ec node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz --strip-components=1 -C /usr/local/
      - npm -g install yarn
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    srclibs:
      - react-native-reanimated@2.2.4
    rm:
      - android/app/src/main/java/com/zulipmobile/notifications/FcmListenerService.java
      - ios
    prebuild:
      - sed -i -e 's/enable true/enable false/' -e '/firebase/d' -e "/android {/a
        packagingOptions {pickFirst 'lib/*/*.so'}" build.gradle
      - sed -i -e '/<service/,/service>/d' -e '/com.zulipmobile/a <uses-permission
        android:name="com.google.android.finsky.permission.BIND_GET_INSTALL_REFERRER_SERVICE"
        tools:node="remove" \/>' -e '/com.zulipmobile/a <uses-permission android:name="com.android.vending.CHECK_LICENSE"
        tools:node="remove" \/>' src/main/AndroidManifest.xml
      - sed -i -e '/firebase/d' -e '/FirebaseInstanceId/,/addOnFailureListener/d'
        src/main/java/com/zulipmobile/notifications/NotificationsModule.java
      - cd ../..
      - yarn install
      - sed -i -e '/installreferrer/,+11d' node_modules/react-native-device-info/android/build.gradle
      - sed -i -e '/checkCompatibility/,/^    });/d' src/boot/CompatibilityChecker.js
    scanignore:
      - android/build.gradle
      - node_modules/jsc-android
      - node_modules/react-native/android
      - node_modules/@react-native-async-storage/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
      - node_modules/@react-native-community/push-notification-ios/android/build.gradle
      - node_modules/expo/node_modules/expo-application/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/expo-sqlite/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/expo-keep-awake/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-device-info/android/build.gradle
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/expo-font/android/build.gradle
      - node_modules/expo-error-recovery/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
    scandelete:
      - node_modules
    build:
      - pushd $$react-native-reanimated$$
      - yarn add react-native@0.67.4
      - gradle :assembleRelease
      - popd
      - mv $$react-native-reanimated$$/build/outputs/aar/android-release.aar ../../node_modules/react-native-reanimated/android/react-native-reanimated-67-jsc.aar
    ndk: r23c

  - versionName: '27.191'
    versionCode: 191
    commit: e53c31e4c53f6500ae1758f48d981fbd6bec35b1
    subdir: android/app
    sudo:
      - sysctl fs.inotify.max_user_watches=524288 || true
      - curl -Lo node.tar.xz https://nodejs.org/dist/v16.16.0/node-v16.16.0-linux-x64.tar.xz
      - echo "edcb6e9bb049ae365611aa209fc03c4bfc7e0295dbcc5b2f1e710ac70384a8ec node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz --strip-components=1 -C /usr/local/
      - npm -g install yarn
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    srclibs:
      - react-native-reanimated@2.2.4
    rm:
      - android/app/src/main/java/com/zulipmobile/notifications/FcmListenerService.java
      - ios
    prebuild:
      - sed -i -e 's/enable true/enable false/' -e '/firebase/d' -e "/android {/a
        packagingOptions {pickFirst 'lib/*/*.so'}" build.gradle
      - sed -i -e '/<service/,/service>/d' -e '/com.zulipmobile/a <uses-permission
        android:name="com.google.android.finsky.permission.BIND_GET_INSTALL_REFERRER_SERVICE"
        tools:node="remove" \/>' -e '/com.zulipmobile/a <uses-permission android:name="com.android.vending.CHECK_LICENSE"
        tools:node="remove" \/>' src/main/AndroidManifest.xml
      - sed -i -e '/firebase/d' -e '/FirebaseInstanceId/,/addOnFailureListener/d'
        src/main/java/com/zulipmobile/notifications/NotificationsModule.java
      - cd ../..
      - yarn install
      - sed -i -e '/installreferrer/,+11d' node_modules/react-native-device-info/android/build.gradle
      - sed -i -e '/checkCompatibility/,/^    });/d' src/boot/CompatibilityChecker.js
    scanignore:
      - android/build.gradle
      - node_modules/jsc-android
      - node_modules/react-native/android
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-device-info/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/expo/android/build.gradle
      - node_modules/expo-application/android/build.gradle
      - node_modules/expo-constants/android/build.gradle
      - node_modules/expo-error-recovery/android/build.gradle
      - node_modules/expo-file-system/android/build.gradle
      - node_modules/expo-font/android/build.gradle
      - node_modules/expo-keep-awake/android/build.gradle
      - node_modules/expo-modules-core/android/build.gradle
      - node_modules/expo-screen-orientation/android/build.gradle
      - node_modules/expo-sqlite/android/build.gradle
      - node_modules/expo-web-browser/android/build.gradle
      - node_modules/@react-native-async-storage/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
      - node_modules/@react-native-community/push-notification-ios/android/build.gradle
    scandelete:
      - node_modules
    build:
      - pushd $$react-native-reanimated$$
      - yarn add react-native@0.67.4
      - gradle :assembleRelease
      - popd
      - mv $$react-native-reanimated$$/build/outputs/aar/android-release.aar ../../node_modules/react-native-reanimated/android/react-native-reanimated-67-jsc.aar
    ndk: r23c

  - versionName: '27.192'
    versionCode: 192
    commit: 30349b83c123d1a6a6734f17e9e9c41d4819573a
    subdir: android/app
    sudo:
      - curl -Lo node.tar.gz https://nodejs.org/dist/v16.18.0/node-v16.18.0-linux-x64.tar.gz
      - echo "faca6476cb5b41aa995370fd856d16fcfbbef5c18718a6fa44cc1bae4140849d node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - npm -g install yarn
      - sysctl fs.inotify.max_user_watches=524288 || true
    gradle:
      - yes
    srclibs:
      - react-native-reanimated@2.2.4
    rm:
      - android/app/src/main/java/com/zulipmobile/notifications/FcmListenerService.java
      - ios
    prebuild:
      - sed -i -e 's/enable true/enable false/' -e '/firebase/d' -e "/android {/a
        packagingOptions {pickFirst 'lib/*/*.so'}" build.gradle
      - sed -i -e '/<service/,/service>/d' -e '/com.zulipmobile/a <uses-permission
        android:name="com.google.android.finsky.permission.BIND_GET_INSTALL_REFERRER_SERVICE"
        tools:node="remove" \/>' -e '/com.zulipmobile/a <uses-permission android:name="com.android.vending.CHECK_LICENSE"
        tools:node="remove" \/>' src/main/AndroidManifest.xml
      - sed -i -e '/firebase/d' -e '/FirebaseInstanceId/,/addOnFailureListener/d'
        src/main/java/com/zulipmobile/notifications/NotificationsModule.java
      - cd ../..
      - yarn install
      - sed -i -e '/installreferrer/,+11d' node_modules/react-native-device-info/android/build.gradle
      - sed -i -e '/checkCompatibility/,/^    });/d' src/boot/CompatibilityChecker.js
    scanignore:
      - android/build.gradle
      - node_modules/jsc-android
      - node_modules/react-native/android
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-device-info/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/expo/android/build.gradle
      - node_modules/expo-application/android/build.gradle
      - node_modules/expo-constants/android/build.gradle
      - node_modules/expo-error-recovery/android/build.gradle
      - node_modules/expo-file-system/android/build.gradle
      - node_modules/expo-font/android/build.gradle
      - node_modules/expo-keep-awake/android/build.gradle
      - node_modules/expo-modules-core/android/build.gradle
      - node_modules/expo-screen-orientation/android/build.gradle
      - node_modules/expo-sqlite/android/build.gradle
      - node_modules/expo-web-browser/android/build.gradle
      - node_modules/@react-native-async-storage/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
      - node_modules/@react-native-community/push-notification-ios/android/build.gradle
    scandelete:
      - node_modules
    build:
      - pushd $$react-native-reanimated$$
      - yarn add react-native@0.67.4
      - gradle :assembleRelease
      - popd
      - mv $$react-native-reanimated$$/build/outputs/aar/android-release.aar ../../node_modules/react-native-reanimated/android/react-native-reanimated-67-jsc.aar
    ndk: r23c

  - versionName: '27.193'
    versionCode: 193
    disable: reanimated build failed
    commit: 6fc6189a42061738603bb8052f75aa73cf9a6b32
    subdir: android/app
    sudo:
      - curl -Lo node.tar.gz https://nodejs.org/dist/v16.18.0/node-v16.18.0-linux-x64.tar.gz
      - echo "faca6476cb5b41aa995370fd856d16fcfbbef5c18718a6fa44cc1bae4140849d node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - npm -g install yarn
      - sysctl fs.inotify.max_user_watches=524288 || true
    gradle:
      - yes
    srclibs:
      - react-native-reanimated@2.2.4
    rm:
      - android/app/src/main/java/com/zulipmobile/notifications/FcmListenerService.java
      - ios
    prebuild:
      - sed -i -e 's/enable true/enable false/' -e '/firebase/d' -e "/android {/a
        packagingOptions {pickFirst 'lib/*/*.so'}" build.gradle
      - sed -i -e '/<service/,/service>/d' -e '/com.zulipmobile/a <uses-permission
        android:name="com.google.android.finsky.permission.BIND_GET_INSTALL_REFERRER_SERVICE"
        tools:node="remove" \/>' -e '/com.zulipmobile/a <uses-permission android:name="com.android.vending.CHECK_LICENSE"
        tools:node="remove" \/>' src/main/AndroidManifest.xml
      - sed -i -e '/firebase/d' -e '/FirebaseInstanceId/,/addOnFailureListener/d'
        src/main/java/com/zulipmobile/notifications/NotificationsModule.java
      - cd ../..
      - yarn install
      - sed -i -e '/installreferrer/,+11d' node_modules/react-native-device-info/android/build.gradle
      - sed -i -e '/checkCompatibility/,/^    });/d' src/boot/CompatibilityChecker.js
    scanignore:
      - android/build.gradle
      - node_modules/jsc-android
      - node_modules/react-native/android
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-device-info/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/expo/android/build.gradle
      - node_modules/expo-application/android/build.gradle
      - node_modules/expo-constants/android/build.gradle
      - node_modules/expo-error-recovery/android/build.gradle
      - node_modules/expo-file-system/android/build.gradle
      - node_modules/expo-font/android/build.gradle
      - node_modules/expo-keep-awake/android/build.gradle
      - node_modules/expo-modules-core/android/build.gradle
      - node_modules/expo-screen-orientation/android/build.gradle
      - node_modules/expo-sqlite/android/build.gradle
      - node_modules/expo-web-browser/android/build.gradle
      - node_modules/@react-native-async-storage/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
      - node_modules/@react-native-community/push-notification-ios/android/build.gradle
    scandelete:
      - node_modules
    build:
      - pushd $$react-native-reanimated$$
      - yarn add react-native@0.67.4
      - gradle :assembleRelease
      - popd
      - mv $$react-native-reanimated$$/build/outputs/aar/android-release.aar ../../node_modules/react-native-reanimated/android/react-native-reanimated-67-jsc.aar
    ndk: r23c

  - versionName: '27.194'
    versionCode: 194
    commit: 26111e8f434df737d60bd7612e770cd058aa08e2
    subdir: android/app
    sudo:
      - curl -Lo node.tar.gz https://nodejs.org/dist/v16.18.0/node-v16.18.0-linux-x64.tar.gz
      - echo "faca6476cb5b41aa995370fd856d16fcfbbef5c18718a6fa44cc1bae4140849d node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - npm -g install yarn
      - sysctl fs.inotify.max_user_watches=524288 || true
    gradle:
      - yes
    srclibs:
      - react-native-reanimated@2.2.4
    rm:
      - android/app/src/main/java/com/zulipmobile/notifications/FcmListenerService.java
      - ios
    prebuild:
      - sed -i -e 's/enable true/enable false/' -e '/firebase/d' -e "/android {/a
        packagingOptions {pickFirst 'lib/*/*.so'}" build.gradle
      - sed -i -e '/<service/,/service>/d' -e '/com.zulipmobile/a <uses-permission
        android:name="com.google.android.finsky.permission.BIND_GET_INSTALL_REFERRER_SERVICE"
        tools:node="remove" \/>' -e '/com.zulipmobile/a <uses-permission android:name="com.android.vending.CHECK_LICENSE"
        tools:node="remove" \/>' src/main/AndroidManifest.xml
      - sed -i -e '/firebase/d' -e '/FirebaseInstanceId/,/addOnFailureListener/d'
        src/main/java/com/zulipmobile/notifications/NotificationsModule.java
      - cd ../..
      - yarn install
      - sed -i -e '/installreferrer/,+11d' node_modules/react-native-device-info/android/build.gradle
      - sed -i -e '/checkCompatibility/,/^    });/d' src/boot/CompatibilityChecker.js
    scanignore:
      - android/build.gradle
      - node_modules/jsc-android
      - node_modules/react-native/android
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-device-info/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/expo/android/build.gradle
      - node_modules/expo-application/android/build.gradle
      - node_modules/expo-constants/android/build.gradle
      - node_modules/expo-error-recovery/android/build.gradle
      - node_modules/expo-file-system/android/build.gradle
      - node_modules/expo-font/android/build.gradle
      - node_modules/expo-keep-awake/android/build.gradle
      - node_modules/expo-modules-core/android/build.gradle
      - node_modules/expo-screen-orientation/android/build.gradle
      - node_modules/expo-sqlite/android/build.gradle
      - node_modules/expo-web-browser/android/build.gradle
      - node_modules/@react-native-async-storage/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
      - node_modules/@react-native-community/push-notification-ios/android/build.gradle
    scandelete:
      - node_modules
    build:
      - pushd $$react-native-reanimated$$
      - yarn add react-native@0.67.4
      - gradle :assembleRelease
      - popd
      - mv $$react-native-reanimated$$/build/outputs/aar/android-release.aar ../../node_modules/react-native-reanimated/android/react-native-reanimated-67-jsc.aar
    ndk: r23c

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: '27.194'
CurrentVersionCode: 194
